#ifndef _BREAKOUTLOCATIONARRAY_H_
#define _BREAKOUTLOCATIONARRAY_H_

#include "AABB.h"
#include "Vector2.h"

class BreakoutLocationArray
{
	public:
	BreakoutLocationArray(const AABBi &boxArea, const Vector2i &boxSize, int padding = 1);
	~BreakoutLocationArray();

	Vector2i GetLocation(const int &x, const int &y)
	{
		if(m_pLocationArray)
			return m_pLocationArray[(y * m_width) + x];
		else
			return Vector2i(-100,-100); //Somewhere offscreen so it doesn't appear before it is deleted.
	}

	int GetWidth() { return m_width; }
	int GetHeight() { return m_height; }

	protected:
	Vector2i* m_pLocationArray;
	int m_width, m_height;
};

#endif
